# ISdkSettings

[**@blings/blings-player**](https://github.com/blingsio/docs/blob/main/player/documentation/README.md)

***

[@blings/blings-player](https://github.com/blingsio/docs/blob/main/player/documentation/globals.md) / ISdkSettings

## Interface: ISdkSettings

### Properties

#### analyticsConfig?

> `optional` **analyticsConfig**: `IAnalyticsConfigAbstract`

***

#### autoFocus?

> `optional` **autoFocus**: `boolean`

should player be auto focused

***

#### autoFullScreen?

> `optional` **autoFullScreen**: `boolean`

on first play, should the video go to full screen (note: full screen is not supported in iphone) @default: false

***

#### autoplay?

> `optional` **autoplay**: `number` | `boolean`

should the video start automatically or after pressing a button. NOTE: starting with autoplay might start the video muted according to browser's policy see: <https://developers.google.com/web/updates/2017/09/autoplay-policy-changes>

***

#### autoReplay?

> `optional` **autoReplay**: `boolean`

should video start automatically to replay once completed

***

#### avoidErrorTracking?

> `optional` **avoidErrorTracking**: `boolean`

***

#### bgColor?

> `optional` **bgColor**: `string`

***

#### branchingMocks?

> `optional` **branchingMocks**: `object`

Developer/testing hooks for branching simulation (conditions and A/B).

**abVariantByNodeId?**

> `optional` **abVariantByNodeId**: `Record`<`string`, `string`>

Force a variant id per A/B node id.

**now?**

> `optional` **now**: `string` | `number` | `Date` | () => `number`

Override the current date used for time predicates.

**randomProvider()?**

> `optional` **randomProvider**: () => `number`

Custom random provider used for A/B weights (useful for deterministic tests).

**Returns**

`number`

***

#### cinematic?

> `optional` **cinematic**: `boolean`

set to true to change the webpage to black background with the movie centered

***

#### colors?

> `optional` **colors**: `object`

colors for the player skin and background.

**bg?**

> `optional` **bg**: `string`

**ctrlBtns?**

> `optional` **ctrlBtns**: `string`

**loader?**

> `optional` **loader**: `string`

**progress?**

> `optional` **progress**: `string`

**rail?**

> `optional` **rail**: `string`

**thumb?**

> `optional` **thumb**: `string`

***

#### container

> **container**: `HTMLElement`

which webpage element will contain the video

***

#### ctrlBtnsColor?

> `optional` **ctrlBtnsColor**: `string`

***

#### debugLevel?

> `optional` **debugLevel**: `number`

The level of debug messages to show in the console. None = 0, Error = 1, Warning = 2, Info = 3, Verbose = 4,

***

#### debugMode?

> `optional` **debugMode**: `boolean`

enable debug mode - showing info on the player.

***

#### errorTracking?

> `optional` **errorTracking**: `boolean`

Send or not errors to Sentry \*

***

#### experimentOptimizationTechnique?

> `optional` **experimentOptimizationTechnique**: [`OptimizationType`](/developers/enumerations/optimizationtype.md)

***

#### experiments?

> `optional` **experiments**: [`ISettingsExperiment`](/developers/interfaces/isettingsexperiment.md)\[]

Possible experiments for the player settings. This can be defined on the player settings when creating the player

**Default**

```ts
undefined
```

**Example**

```typescript
settings: {
   experiments: [
     {
       id: "autoplay",
       variants: [{ id: 1, value: "true" }, { id: 2, value: "false" }]
     }
   ]
```

***

#### fontOverrides?

> `optional` **fontOverrides**: [`IFontOverride`](/developers/type-aliases/ifontoverride.md)

***

#### hideCover?

> `optional` **hideCover**: `boolean`

Whether to hide the cover of the video after the video is loaded and ready to play

**Default**

```ts
false
```

***

#### hideFullScreenBtn?

> `optional` **hideFullScreenBtn**: `boolean`

show / hide full screen toggle button (note: full screen is not supported in iphone)

***

#### identifier?

> `optional` **identifier**: `string`

***

#### isCyclic?

> `optional` **isCyclic**: `boolean`

stories cyclic - back to start at the end

***

#### ~~loaderColor?~~

> `optional` **loaderColor**: `string`

**Deprecated**

* use `colors` colors for the loading spinner and the play/pause buttons.

***

#### loadingImage?

> `optional` **loadingImage**: `string`

Image to show during the loading

***

#### loadingText?

> `optional` **loadingText**: `string`

Text to show during the loading of the video \*

***

#### maxLoadingTime?

> `optional` **maxLoadingTime**: `number`

Timeout for asset loading in ms

***

#### muted?

> `optional` **muted**: `boolean`

should the video start muted or not

***

#### overlay?

> `optional` **overlay**: [`IOverlay`](/developers/interfaces/ioverlay.md)

***

#### posterFrame?

> `optional` **posterFrame**: `number`

which frame from the movie should be presented before playback

***

#### rightToLeft?

> `optional` **rightToLeft**: `boolean`

stories from right to left instead of left to right - for hebrew

***

#### sendUtmParams?

> `optional` **sendUtmParams**: `boolean`

if true, do not save utm params in analytics

***

#### showBlingsLogo?

> `optional` **showBlingsLogo**: `number`

***

#### showStoriesModeIndicators?

> `optional` **showStoriesModeIndicators**: `boolean`

Short animation that explains the UI of stories

***

#### showStoriesModeIndicatorsText?

> `optional` **showStoriesModeIndicatorsText**: `boolean`

Show text in short animation that explains the UI of stories

***

#### showTimeline?

> `optional` **showTimeline**: `boolean`

whether to show a timeline-bar

***

#### startFrame?

> `optional` **startFrame**: `number`

The frame to start the video at

**Default**

```ts
0
```

***

#### storiesMode?

> `optional` **storiesMode**: `boolean`

an "instagram" style stories instead for video timeline


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.blings.io/developers/interfaces/isdksettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
